Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 23/04/2016, à 22:33

PhilGoar

[Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Sur Deezer, il m'est demandé d'avoir Adobe flash player; quand je clique sur le lien officiel, on me demande de choisir entre 4 versions (Yum; .tar.gz; .rpm; APT).
J'ai fait plusieurs essais dont tar.gz, apparemment cela se télécharge mais je ne sais pas s'il y a un fichier exécutable ensuite car rien ne se passe. Dans les téléchargements, ils y figurent. Par contre Youtube et Dailymotion fonctionnent. Et les vidéos sur les sites d'infos aussi.La radio internet Ledjam fonctionne aussi.
Spotify me dit de télécharger la version pour linux. J'ai suivi la procédure en faisant les 4 copies indiquées dans le terminal: https://www.spotify.com/fr/download/linux/   mais rien ne se passe. Je ne retrouve pas non plus de traces dans les téléchargements alors que visiblement ces opérations ont bien eu lieu d'après ce que je voyais dans le terminal.
J'ai essayé Groovesharks (idem écoute de musique) et cela fonctionne.
Sur cacaoweb (streaming) il est dit qu'il faut un plug in mais je ne sais absolument pas lequel mettre et comment le faire
J'ai volontairement mis tout cela dans la même discussion car peut-être cela peut-il aider quelqu'un ... à m'aider ? Peut-être un souci d'installation d'Ubuntu?
Pour vos réponses, merci de considérer que je suis plutôt ignare en informatique et que je commence tout juste, avec ce nouvel ordi, à m'initier à Ubuntu.
Cordialement
Philippe

Dernière modification par Ayral (Le 15/08/2016, à 20:10)

Hors ligne

#2 Le 23/04/2016, à 22:44

tuxmarc

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Bonsoir PhilGoar

Adobe déteste nous simplifier la vie yikes
Avec un tar.gz, il faut extraire, puis faire une compilation avec les fichiers obtenus.
Comment on fait ?
La doc est là smile
https://doc.ubuntu-fr.org/tutoriel/compilation

Je n'ai jamais touché à spotify, mais à ce que j'ai compris, le script installe carrément le programme.
Ensuite, je suppose qu'on le trouve dans le menu logiquement.


Vive Richard Stalmann, Linus Torvalds, et tous les fondus de Linux.
De l'Ordinosaure fait à 90% de récup, à un portable LDLC, une tour, neufs sans système,un serveur et une carte mère sans boitier, tous libres !!
Parrain Linux sur www.parrain-linux.com et www.parrains.linux.free.fr

Hors ligne

#3 Le 23/04/2016, à 23:04

GnuTux

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Y'a rien a extraire du tout, flashplayer est dans les dépots.

Il suffit de l'installer avec la commande :

sudo apt-get install flashplugin-installer

Notre forum d'informatique ici : [url]http://[Spam probable, merci de signaler][/url]
Besoin d'assistance sous Linux ? c'est [url=http://[Spam probable, merci de signaler]/distributions-gnulinux-unix-like]ICI[/url] (raccourci pour vous créer un compte [url=http://[Spam probable, merci de signaler]/register]LÀ[/url])

Hors ligne

#4 Le 24/04/2016, à 08:11

PhilGoar

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Merci à vous deux Tuxmarc et Gnu Tux. Effectivement la commande indiquée par Gnu Tux a tout débloqué (Deezer et Cacaoweb fonctionnent nickel).
Y'a plus que spotify mais pas grave.
Merci encore

Hors ligne

#5 Le 24/04/2016, à 11:04

grigouille

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Lire la page flashplayer.


Xubuntu 16.04

Hors ligne

#6 Le 24/04/2016, à 12:22

GnuTux

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Et pour ceux qui ont besoin de la toute dernière version de flash (nécessaire dans seulement 5% des cas), il faut utiliser Chromium avec le plugin "PepperFlash".
En effet, la version "normale" de flash sous linux n'évoluera pas, elle restera toujours en 11.2 (mais avec quand même les maj de sécurité dessus)


Notre forum d'informatique ici : [url]http://[Spam probable, merci de signaler][/url]
Besoin d'assistance sous Linux ? c'est [url=http://[Spam probable, merci de signaler]/distributions-gnulinux-unix-like]ICI[/url] (raccourci pour vous créer un compte [url=http://[Spam probable, merci de signaler]/register]LÀ[/url])

Hors ligne

#7 Le 24/04/2016, à 16:00

Compte anonymisé

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Je vais rectifier tout ce qui vient de se dire.
Pour Flash la meilleure méthode actuelle est inscrite dans l'encart ici
https://doc.ubuntu-fr.org/flashplayer#d … _officiels
Le paquet adobe-flashplugin permet de gérer les dernières versions de Flash sur les 2 navigateurs en même temps.
Donc il faut oublier à la fois le paquet flashplugin-installer et le paquet pepperflashplugin-nonfree, qui en fait ne servent plus à rien.

#8 Le 24/04/2016, à 19:10

Nicolas St

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Donc il faut oublier à la fois le paquet flashplugin-installer et le paquet pepperflashplugin-nonfree, qui en fait ne servent plus à rien.

Salut,

Je ne suis pas tout à fait d'accord dans la mesure où il me semble que le pepperflashplugin est bien plus à jour et peut également être pris en charge (en tout cas chez Debian) par Chromium ET Firefox à la fois grâce au paquet fresh player plugin.

https://debian-facile.org/doc:media:flash

Dernière modification par Nicolas St (Le 24/04/2016, à 22:20)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, DD 500 Go) / Debian Stretch (Gnome)

Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#9 Le 24/04/2016, à 19:42

Compte anonymisé

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Oui il permet d'avoir la dernière version de Flash sur Firefox en effet.
Par contre pour Chromium, il ne sert plus à rien puisque le paquet Adobe-flashplugin permet déjà d'avoir la dernière version de Flash sur ce navigateur.

D'ailleurs à ce propos je ne comprend pas vraiment la dernière phrase de cet encart de la documentation :
https://doc.ubuntu-fr.org/flashplayer#pour_firefox

→ Si vous souhaitez la dernière version de (Pepper-)Flash "dans" firefox via freshplayerplugin, l'installation de pepperflashplugin-nonfree n'est plus nécessaire si vous utilisez déjà adobe-flashplugin.

???

Le paquet Adobe-flashplugin limite la version de Flash pour FF à la version 11.2. Donc pas de version plus récente sans pepper sur ce navigateur il me semble...

Dernière modification par Compte anonymisé (Le 24/04/2016, à 19:52)

#10 Le 24/04/2016, à 19:55

GnuTux

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Non il ne faut pas utiliser FreshPlayer, c'est un plugin qui n'est pas stable et pas officiel.

Par contre Mudochon a raison, le paquet adobe-flashplugin est plus recommandé car il permet d'avoir aussi le pepperflash sous chromium en même temps (sinon il faut installer pepperflash manuellement).
Seul inconvénient : le dépôt partenaire doit être activé pour installer ce paquet.


Notre forum d'informatique ici : [url]http://[Spam probable, merci de signaler][/url]
Besoin d'assistance sous Linux ? c'est [url=http://[Spam probable, merci de signaler]/distributions-gnulinux-unix-like]ICI[/url] (raccourci pour vous créer un compte [url=http://[Spam probable, merci de signaler]/register]LÀ[/url])

Hors ligne

#11 Le 24/04/2016, à 20:05

Compte anonymisé

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Pour donner un exemple concret, j'ai actuellement :
- sur Firefox la version 11,2,202,616
- sur Chromium la version 21,0,0,213

De plus via le paquet adobe-flashplugin ces 2 versions de Flash seront mis à jour automatiquement, alors que de mémoire quand j'utilisais la méthode pepper il fallait désinstaller/réinstaller le paquet à chaque fois pour avoir la dernière version, quand Adobe faisait une mise à jour de son plugin.

#12 Le 12/05/2016, à 16:59

celya77

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Bonsoir, j'ai moi aussi un soucis avec flash. J'utilise chromium, et j'ai installé flash a partir d'ici: https://doc.ubuntu-fr.org/flashplayer#d … _officiels, en utilisant les paquets officiel. Mais dans chromium, flash n'est pas installé. Je ne comprends pas pourquoi. Sauriez vous me dépanner ? Merci

Finalement ça marche, mais je sais pas vraiment ce que j'ai fait. Les joies et mystères de l'informatique.

Dernière modification par celya77 (Le 12/05/2016, à 17:21)

Hors ligne

#13 Le 15/08/2016, à 17:38

nalvak

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

GnuTux a écrit :

Y'a rien a extraire du tout, flashplayer est dans les dépots.

Il suffit de l'installer avec la commande :

sudo apt-get install flashplugin-installer

Je confirme que cette simple commande suffit pour régler le problème.
Pour que l'installation du plugin soit prise en compte par le navigateur, j'ai relancé le système mais peut-être que la relance du seul navigateur est suffisante…
Je pense qu'il serait bon d'ajouter [Résolu] dans le titre du sujet wink


Au festin du savoir plus l'on partage, plus les parts sont copieuses.
Scii ke oni kredas pli sajas ol kredi ke oni scias. Eraro homas sed persisti diablas.

Hors ligne

#14 Le 19/08/2016, à 16:23

Coeur Noir

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Mudochon a écrit :

D'ailleurs à ce propos je ne comprend pas vraiment la dernière phrase de cet encart de la documentation :
https://doc.ubuntu-fr.org/flashplayer#pour_firefox
→ Si vous souhaitez la dernière version de (Pepper-)Flash "dans" firefox via freshplayerplugin, l'installation de pepperflashplugin-nonfree n'est plus nécessaire si vous utilisez déjà adobe-flashplugin.
???
Le paquet Adobe-flashplugin limite la version de Flash pour FF à la version 11.2. Donc pas de version plus récente sans pepper sur ce navigateur il me semble...

Bon je sais c'est limite un déterrage, mais tentative d'explication :
- effectivement adobe-flashplugin installe la version 11.2 maintenue dans Firefox, format d'extension npapi.
- il installe aussi la toute dernière version dans chromium, format d'extension ppapi.
- freshplayerplugin est un traducteur npapi/ppapi : il permet d'utiliser le plugin flash ppapi ( + récent ) de chromium dans firefox npapi.

Hors ligne

#15 Le 17/09/2016, à 20:13

alex2423

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

PhilGoar a écrit :

Spotify me dit de télécharger la version pour linux. J'ai suivi la procédure en faisant les 4 copies indiquées dans le terminal: https://www.spotify.com/fr/download/linux/   mais rien ne se passe. Je ne retrouve pas non plus de traces dans les téléchargements alors que visiblement ces opérations ont bien eu lieu d'après ce que je voyais dans le terminal.

Grand fan depuis toujours de spotify,
il n'y a plus besoin d'utiliser la version windows avec wine, la version gnu/linux fonctionne nickel.

J'ai ajouté comme toi les dépots, puis ajouté la clef et enfin j'ai executé apt-get install ... pour installer le client spotify. Cela s'est fait tout seul.
Si tu lance en ligne de commande le client spotify que tu as installé, tu ne le trouves pas en tapant les premières lettres puis en autocomplétant avec la touche tab?

Je me permet de répondre à ton message parce que apparrement tu n'as pas réussi à installer spotify !!! qui est le meilleur logiciel pour moi

Hors ligne

#16 Le 21/12/2016, à 23:48

sebfoy

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Salut,
De mon côté flashpluggin installer fonctionne sous mozilla que j'avais quitté sous xubuntu 14.04 pour chrome pour les mêmes raisonss . Grrrrr
Sous Chromium, deezer me signale que flash est bloqué. Pourtant il est autorisé...

Hors ligne

#17 Le 22/12/2016, à 00:47

Coeur Noir

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Relire la doc' qui a été un peu allégée pour mieux coller aux dernières actualités d'adobe-flash sous linux :
https://doc.ubuntu-fr.org/flashplayer#d … _officiels
…soit installer adobe-flashplugin depuis le dépôt partenaires de Canonical et non plus flashplugin-installer qui ne donnera rien de bon dans chromium.

Aujourd'hui cela permet d'avoir sous firefox (npapi) comme chromium (ppapi) un plugin flash en version 24.

Hors ligne

#18 Le 22/12/2016, à 02:56

sebfoy

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Merci Cœur Noir,

Effectivement, c'est bien résolu mais sur ta solution selon moi. J'avoue que je ne souhaitais pas aller voir dans ces paquets. Je croyais que Chromium n'avait pas besoin de Flash et qu'il se débrouillait sans. Comme je n'y connais rien ça doit vous paraître très con... Joyeux Noël.

Hors ligne

#19 Le 22/12/2016, à 12:54

Coeur Noir

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

google-chrome intègre flash-ppapi.

chromium, version libre servant de base au précédent, n'intègre aucun élément privateur, donc pas de flash.

Hors ligne

#20 Le 08/01/2017, à 22:35

fgi

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Bonsoir,
en voulant installer adobe-flashplugin, j'ai l'erreur suivante :

(Lecture de la base de données... 226447 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../adobe-flashplugin_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de adobe-flashplugin (1:20161213.1-0ubuntu0.16.04.1) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/adobe-flashplugin_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb (--unpack) :
 tentative de remplacement de « /usr/share/icons/hicolor/32x32/apps/flash-player-properties.png », qui appartient aussi au paquet flash-plugin 11.2.202.644-1
dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Préparation du dépaquetage de .../adobe-flash-properties-gtk_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb ...
Dépaquetage de adobe-flash-properties-gtk (1:20161213.1-0ubuntu0.16.04.1) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/adobe-flash-properties-gtk_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb (--unpack) :
 tentative de remplacement de « /usr/share/applications/flash-player-properties.desktop », qui appartient aussi au paquet flash-plugin 11.2.202.644-1
dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/adobe-flashplugin_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb
 /var/cache/apt/archives/adobe-flash-properties-gtk_1%3a20161213.1-0ubuntu0.16.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de récupération :

Savez vous d'où cela peut venir ?

Merci.


L'homme ne recherche pas La Vérité. Il n'est qu'avide de certitude ... [Cornélius Castoriadis]

~ Xubuntu 16.04 64 bits ~

Hors ligne

#21 Le 08/01/2017, à 22:45

Coeur Noir

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Ton retour de commande est incomplet, on ne voit pas quelle commande tu as lancé.

Cela dit il y a une référence à paquet flash-plugin 11.2.202.644-1 avais-tu déjà tenté d'installer flash par une autre méthode auparavant ?

Jette un œil à ça https://forum.ubuntu-fr.org/viewtopic.p … #p21504956 pour d'autres pistes de « nettoyage ».

Enfin ce fil étant marqué comme [ résolu ] il serait plus efficace d'en ouvrir un nouveau si d'aventure tu ne règles pas ton souci ;-)

Hors ligne

#22 Le 08/01/2017, à 22:58

fgi

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Merci Coeur Noir. J'ai tenté d'installer adobe-flashplugin via Synaptic.

Il est en effet possible que j'aie des scories d'install flash antérieures... Je vais regarder le topic que tu m'as indiqué et ouvrir un nouveau topic si besoin.

Bonne soirée à toi smile


L'homme ne recherche pas La Vérité. Il n'est qu'avide de certitude ... [Cornélius Castoriadis]

~ Xubuntu 16.04 64 bits ~

Hors ligne

#23 Le 11/01/2017, à 10:58

JeanPhilippe64

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

GnuTux a écrit :

Y'a rien a extraire du tout, flashplayer est dans les dépots.

Il suffit de l'installer avec la commande :

sudo apt-get install flashplugin-installer

Bonjour, je suis tout nouveau et j'ai installé xubuntu sur mon ordi, je cherche depuis en bon moment comment faire pour avoir ce p..... de flash. Je viens de faire comme vous le conseillez. Apparemment ça l'a bien chargé puisque je l'ai dans mes plugins. Mais je n'arrive toujours pas par exemple à revoir peut importe la chose sur 6ter il me dit que je dois mettre à jour mon FlashPlayer. Pourquoi ?

J'aurais bien mis la capture écran pour vous faire voir, mais je n'y arrive pas

A bientôt

J.Phi

Hors ligne

#24 Le 11/01/2017, à 11:05

Coeur Noir

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Mais purée, non JeanPhilippe64, il faut arrêter de recommander autre chose que ce qui est dans la doc' à propos de flash :

→ activer le dépôt partenaires de Canonical
→ installer adobe-flashplugin

C'est plus fiable à long terme.

Dernière modification par Coeur Noir (Le 11/01/2017, à 17:36)

Hors ligne

#25 Le 11/01/2017, à 13:54

JeanPhilippe64

Re : [Résolu] Problème pour adobe flash player sous Ubuntu 16.04

Oups ! pardon Cœur Noir je ne voulais pas vous le briser, j'ai juste fait ce qui était proposé, c'est ça les novices ils font n'importe quoi, mais je suis prêts à écouter.

Déjà je ne sais pas activer le dépôt partenaires de Canonical, je sais juste cliquer dans le menu de mon xubuntu sur logiciel, c'est bien non ? Après je cherche et quand je ne trouve pas je cherche de voir qui en parle, voilà.

Ne me tombez pas à bras raccourci, allez je ne vous en veux  pas, expliquez moi en détail.

Bonne journée et à très vite

Merci

J.Phi

Hors ligne